org.apache.felix.bundlerepository.impl.wrapper

## Class RepositoryAdminWrapper

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.wrapper.RepositoryAdminWrapper

All Implemented Interfaces:
  org.osgi.service.obr.RepositoryAdmin

    public class RepositoryAdminWrapper
    extends java.lang.Object
    implements org.osgi.service.obr.RepositoryAdmin

### Constructor Summary

Constructors
Constructor and Description
`RepositoryAdminWrapper(RepositoryAdmin admin)`

### Method Summary

Methods
`org.osgi.service.obr.Repository` `addRepository(java.net.URL repository)`
`org.osgi.service.obr.Resource[]` `discoverResources(java.lang.String filterExpr)`
`org.osgi.service.obr.Resource` `getResource(java.lang.String s)`
`org.osgi.service.obr.Repository[]` `listRepositories()`
`boolean` `removeRepository(java.net.URL repository)`
`org.osgi.service.obr.Resolver` `resolver()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryAdminWrapper

    public RepositoryAdminWrapper(RepositoryAdmin admin)

### Method Detail

#### discoverResources

    public org.osgi.service.obr.Resource[] discoverResources(java.lang.String filterExpr)

Specified by:
  `discoverResources` in interface `org.osgi.service.obr.RepositoryAdmin`

#### resolver

    public org.osgi.service.obr.Resolver resolver()

Specified by:
  `resolver` in interface `org.osgi.service.obr.RepositoryAdmin`

#### addRepository

    public org.osgi.service.obr.Repository addRepository(java.net.URL repository)
                                                  throws java.lang.Exception

Specified by:
  `addRepository` in interface `org.osgi.service.obr.RepositoryAdmin`
Throws:
  `java.lang.Exception`

#### removeRepository

    public boolean removeRepository(java.net.URL repository)

Specified by:
  `removeRepository` in interface `org.osgi.service.obr.RepositoryAdmin`

#### listRepositories

    public org.osgi.service.obr.Repository[] listRepositories()

Specified by:
  `listRepositories` in interface `org.osgi.service.obr.RepositoryAdmin`

#### getResource

    public org.osgi.service.obr.Resource getResource(java.lang.String s)

Specified by:
  `getResource` in interface `org.osgi.service.obr.RepositoryAdmin`